[[_TOC_]]

# MEGA Desktop Application

Easy automated syncing and backup between your computers and your MEGA cloud drive.
This repository contains all the development history of the official MEGA Desktop Application.

MEGA Desktop is an installable application that synchronises folders between your computer and
your MEGA Cloud Drive. All files and subfolders will be replicated in both directions.
Changes that you make on your device will also be made on the MEGA Cloud Drive. Similarly,
changes made in your MEGA Cloud Drive (such as renaming, moving and deleting) will also be
made to the synced folders on your device.

https://help.mega.io/installs-apps/desktop-syncing

# Supported Platforms

The minimum version of Windows required at the moment is Windows 7.
The minimum version of Windows Server required at the moment is Windows Server 2008 R2.
The minimum version of macOS required at the moment is macOS Sierra 10.12. 

We officially support a handful of Linux flavors based on Debian and RedHat, such as:
- Debian
- Ubuntu
- Mint
- Fedora
- CentOS

We provide pre-built packages for several other distributions, please check the MEGA
Desktop download page:
https://mega.io/desktop

# Source code

Build instructions are provided in the distribution specific files:
[Windows](README.win.md)
[macOS](README.mac.md)
[Linux](README.linux.md)

# Issues

You can report issues and bugs on GitHub https://github.com/meganz/MEGAsync/issues

# Licence

Our source code licence is available in [LICENCE.md](LICENCE.md). For third-party libraries
please check [CREDITS.md](CREDITS.md).

